#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Plack
%include	/usr/lib/rpm/macros.perl
Summary:	Plack - Perl Superglue for Web frameworks and Web Servers (PSGI toolkit)
Name:		perl-Plack
Version:	1.0047
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Plack/%{pdir}-%{version}.tar.gz
# Source0-md5:	9d37086aec1b29bab52a9575687e3557
URL:		http://search.cpan.org/dist/Plack/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Devel::StackTrace::AsHTML) >= 0.11
BuildRequires:	perl(Filesys::Notify::Simple)
BuildRequires:	perl(HTTP::Body) >= 1.06
BuildRequires:	perl(Hash::MultiValue) >= 0.05
BuildRequires:	perl(Test::Requires)
BuildRequires:	perl(Test::TCP) >= 0.11
BuildRequires:	perl-Apache-LogFormat-Compiler
BuildRequires:	perl-Devel-StackTrace >= 1.23
BuildRequires:	perl-File-ShareDir >= 1.00
BuildRequires:	perl-File-ShareDir-Install
BuildRequires:	perl-HTTP-Entity-Parser
BuildRequires:	perl-HTTP-Request-AsCGI
BuildRequires:	perl-Stream-Buffered
BuildRequires:	perl-Try-Tiny
BuildRequires:	perl-URI >= 1.36
BuildRequires:	perl-libwww >= 5.814
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_perl	'Apache::Constants' 'Apache::Request'

%description
Plack is a set of tools for using the PSGI stack. It contains
middleware components, a reference server and utilities for Web
application frameworks. Plack is like Ruby's Rack or Python's Paste
for WSGI.

See PSGI for the PSGI specification and PSGI::FAQ to know what PSGI
and Plack are and why we need them.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/Plack/
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_bindir}/plackup
%{perl_vendorlib}/HTTP/Message/PSGI.pm
%{perl_vendorlib}/HTTP/Server/PSGI.pm
%{perl_vendorlib}/auto/share/dist/Plack
%changelog
* Thu Mar 15 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Plack.git;a=log;h=auto/th/perl-Plack-1.0047-1

* Thu Mar 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a588ec
- up to 1.0047

* Mon Feb 19 2018 Jan Rękorajski <baggins@pld-linux.org> e58dc42
- spec cleanup

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> e4d9e05
- up to 1.0044

* Sun Jun 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6252cec
- up to 1.0036

* Sat Feb 28 2015 Elan Ruusamäe <glen@delfi.ee> d55ed62
- x32 rebuild
- release 2 (by relup.sh)

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 190a1c2
- up to 1.0034

* Sat Jan 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1bc2775
- up to 1.0030

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 02da70b
- add BR perl-Apache-LogFormat-Compiler, perl-Stream-Buffered

* Wed Oct 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d614af
- up to 1.0029

* Sun May 12 2013 Jan Rękorajski <baggins@pld-linux.org> 34dedfd
- rpm5 noautoreq
- rel 2

* Mon May 07 2012 Szymon Siwek <sls@pld-linux.org> 2fd1101
- removed tests.patch (useless, I guess)

* Mon May 07 2012 Szymon Siwek <sls@pld-linux.org> 2192d03
- ver. 0.9986

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 51243e0
- up to 0.9985

* Sat May 28 2011 aredridel <aredridel@pld-linux.org> 01cccd8
- added

* Wed May 11 2011 aredridel <aredridel@pld-linux.org> 3b7d3ba
- added test patch

